select `A00000000275b`.`contactlastname` as `contactlastname1`, `A00000000275b`.`salesrepemployeenumber` as `salesrepemployeenumber2`,
	`A00000000276c`.`customernumber` as `customernumber3`, sum(`A000000002776`.`quantityordered`) as `quantityordered4`, max(`A000000002776`.`priceeach`) as `priceeach5` 
from 
	(SELECT customernumber "customernumber",customername "customername",contactlastname "contactlastname",contactfirstname "contactfirstname",phone "phone",addressline1 "addressline1",addressline2 "addressline2",city "city",state "state",postalcode "postalcode",country "country",salesrepemployeenumber "salesrepemployeenumber",creditlimit "creditlimit",coolclient "coolclient"  FROM customers) 
	as `A00000000275b` join 
		(SELECT ordernumber "ordernumber",orderdate "orderdate",orderdatetime "orderdatetime",requireddate "requireddate",shippeddate "shippeddate",status "status",comments "comments",customernumber "customernumber", requireddate as "ORDER REQUIRED DATE" FROM orders) 
		as `A00000000276c` on `A00000000275b`.`customernumber` = `A00000000276c`.`customernumber` join 
			(SELECT ordernumber "ordernumber",productcode "productcode",quantityordered "quantityordered",priceeach "priceeach",orderlinenumber "orderlinenumber" FROM orderdetails) 
			as `A000000002776` on `A000000002776`.`ordernumber` = `A00000000276c`.`ordernumber` 
group by `A00000000275b`.`contactlastname`, `A00000000275b`.`salesrepemployeenumber`, `A00000000276c`.`customernumber` 
having (sum(`A000000002776`.`quantityordered`) between 1000 and 1500 and `A00000000275b`.`salesrepemployeenumber` > 1700) 
order by `A00000000275b`.`contactlastname` asc, `A00000000275b`.`salesrepemployeenumber` asc, 
	`A00000000276c`.`customernumber` asc, sum(`A000000002776`.`quantityordered`) asc, max(`A000000002776`.`priceeach`) asc 
limit 10000 offset 0;