SELECT c.contactlastname,c.salesrepemployeenumber,o.customernumber,
sum(od.quantityordered),max(od.priceeach)
FROM customers c
     join orders o on o.customernumber=c.customernumber
     join orderdetails od on od.ordernumber=o.ordernumber
group by c.contactlastname, c.salesrepemployeenumber,o.customernumber
having sum(od.quantityordered) between 1000 and 1500 and c.salesrepemployeenumber > 1700
order by 1 ASC,2 ASC,3 ASC,4 ASC,5 ASC;